<?php

/**
 *  Fonction sql spécifique Agrica
 */
class SqlRoutage
{

    /**
     * Fonction retournant la requete permettant de connaitre le numéro id du CS contenant la valeur d'une commande
     *
     * @return string sql
     */
    public static function rqGetNCS_CA_ENTET_BUDGET_P_NP()
    {
        $sql = "
            SELECT
                LIB01DICO as NUM_CS
            from
                DILISPEC with(nolock)
            where
                TYPEDICO  ='PARAMAGRI'
                and CODEDICO = 'NCS_CA_ENTET_BUDGET_P_NP'
        ";

        $cacheName = __FUNCTION__;

        return \SqlWincache::getSql($cacheName, $sql);
    }

    /**
     * Fonction retournant la requete permettant de connaitre le numéro id du CS contenant la valeur d'une commande
     *
     * @return string sql
     */
    public static function rqGetValeurBudgetNonPrevu()
    {
        $sql = "
            SELECT
                LIB01DICO as VALEUR_NP
            from
                DILISPEC with(nolock)
            where
                TYPEDICO  ='PARAMAGRI'
                and CODEDICO = 'BDC_ROUTAGE_GESTION_VAL_NP'
        ";

        $cacheName = __FUNCTION__;

        return \SqlWincache::getSql($cacheName, $sql);
    }

    /**
     * Fonction retournant la requete permettant de connaitre le montant seuil à partir duquel l'exemplaire gestion doit être envoyé
     *
     * @return string sql
     */
    public static function rqGetSeuilBudgetEnvoiGestion()
    {
        $sql = "
            SELECT
                LIB01DICO as SEUIL_ENV_GESTION
            from
                DILISPEC with(nolock)
            where
                TYPEDICO  ='PARAMAGRI'
                and CODEDICO = 'BDC_ROUTAGE_GESTION_SEUIL'
        ";

        $cacheName = __FUNCTION__;

        return \SqlWincache::getSql($cacheName, $sql);
    }
}